# MessageQueueReceiver Interface Reference

Inheritance diagram for MessageQueueReceiver:
[legend]

List of all members.

## Public Member Functions

| receive ($uTimeout=null)
| getQueue ()

## Detailed Description

Definition at line 12 of file MessageQueueReceiver.class.php.

## Member Function Documentation

MessageQueueReceiver::getQueue | ( |  | ) |

Returns:
  MessageQueue

Implemented in TextFileReceiver.

MessageQueueReceiver::receive | ( | $ | uTimeout = `null` | ) |

Returns:
  Message

Implemented in TextFileReceiver.

The documentation for this interface was generated from the following file:

- main/Messages/Interface/MessageQueueReceiver.class.php